<html>
<head>
<title>OGRE: Ogre::Compiler2Pass::TokenState Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Compiler2Pass.html">Compiler2Pass</a>::<a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html">TokenState</a></div>
<h1>Ogre::Compiler2Pass::TokenState Struct Reference</h1><!-- doxytag: class="Ogre::Compiler2Pass::TokenState" --><code>#include &lt;<a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Compiler2Pass_1_1TokenState-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Compiler2Pass.html#b0dcd611d3cebfc1f537e637372eed61">TokenInstContainer</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html#68e63cb9f885861a47d687213e9118cd">tokenQue</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Compiler2Pass.html#92a18052bc30fab5dcde651709d40869">LexemeTokenDefContainer</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html#fb26327105f6ab7839935b0e0be5f32d">lexemeTokenDefinitions</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Compiler2Pass.html#6c246bb4f8c3b41722ef9f91159b1477">TokenRuleContainer</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html#257a26a50f6e12faecacc6e30eec13f8">rootRulePath</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Compiler2Pass.html#b5d3206249aeb8d6329016ae5d6d561c">LexemeTokenMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html#4344437a65395536b993da2c6a70a138">lexemeTokenMap</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00250">250</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="68e63cb9f885861a47d687213e9118cd"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenState::tokenQue" ref="68e63cb9f885861a47d687213e9118cd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compiler2Pass.html#b0dcd611d3cebfc1f537e637372eed61">TokenInstContainer</a> <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html#68e63cb9f885861a47d687213e9118cd">Ogre::Compiler2Pass::TokenState::tokenQue</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00252">252</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fb26327105f6ab7839935b0e0be5f32d"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenState::lexemeTokenDefinitions" ref="fb26327105f6ab7839935b0e0be5f32d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compiler2Pass.html#92a18052bc30fab5dcde651709d40869">LexemeTokenDefContainer</a> <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html#fb26327105f6ab7839935b0e0be5f32d">Ogre::Compiler2Pass::TokenState::lexemeTokenDefinitions</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00253">253</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="257a26a50f6e12faecacc6e30eec13f8"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenState::rootRulePath" ref="257a26a50f6e12faecacc6e30eec13f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compiler2Pass.html#6c246bb4f8c3b41722ef9f91159b1477">TokenRuleContainer</a> <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html#257a26a50f6e12faecacc6e30eec13f8">Ogre::Compiler2Pass::TokenState::rootRulePath</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00254">254</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4344437a65395536b993da2c6a70a138"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenState::lexemeTokenMap" ref="4344437a65395536b993da2c6a70a138" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compiler2Pass.html#b5d3206249aeb8d6329016ae5d6d561c">LexemeTokenMap</a> <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenState.html#4344437a65395536b993da2c6a70a138">Ogre::Compiler2Pass::TokenState::lexemeTokenMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00255">255</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:22 2008
</p>
</body>
</html>
